//
//  CreateMeetingView.swift
//  AlloVoisinsSwiftUI
//
//  Created by Victor on 25/09/2025.
//

import SwiftUI

struct CreateMeetingView: View {
    @State var date: Date = .init()
    @State var selectedOption: Int? = nil

    var body: some View {
        ScrollView {
            VStack {
                VStack(alignment: .leading) {
                    SQText("Les avantages de la prise de “rendez-vous” :")
                        .sqSize(14)
                        .sqFont(.bold)
                    VStack(alignment: .leading) {
                        HStack {
                            SQText(" . ")
                            SQText("Engagement mutuel")
                        }
                        HStack {
                            SQText(" . ")
                            SQText("Ajout à l’agenda personnel")
                        }
                        HStack {
                            SQText(" . ")
                            SQText("Rappels SMS avant le rendez-vous")
                        }
                        HStack {
                            SQText(" . ")
                            SQText("Lancement de la navigation GPS")
                        }
                        HStack {
                            SQText(" . ")
                            SQText("Rappel “Laisser un avis” après le rendez-vous")
                        }
                    }
                }
                .padding(16)
                .frame(maxWidth: .infinity, alignment: .leading)
                .background(Color.sqNeutral(10))
                .cornerRadius(8)

                VStack(alignment: .leading) {
                    SQDatePickerView("Date", placeholder: "")
                    HStack(spacing: 16) {
                        SQDatePickerView("Date", placeholder: "")
                        SQDatePickerView("Date", placeholder: "")
                    }
                    SQRadio(title: "Modalités du rendez-vous", options: [
                        SQRadioOption(title: "Appel vocal ou vidéo"),
                        SQRadioOption(title: "Adresse de la demande"),
                        SQRadioOption(title: "Chez {display_name_offreur}", desc: "2 rue de Rivoli, 75004 Paris"),
                        SQRadioOption(title: "À une autre adresse"),
                    ], selectedIndex: $selectedOption)
                    SQTextEditor("Informations pratiques", placeholder: "Ex : Itinéraire, étage, digicode, interphone ...", text: .constant(""), isOptional: true, maxCharacters: 500)
                    SQCheckbox("Je comprends que l'adresse et les informations pratiques seront communiquées lorsque le rendez-vous sera accepté par {display_name_offreur}.", isChecked: .constant(true))
                }
                SQButton("Proposer le rendez-vous") {

                }
            }
            .padding(.horizontal)
        }
        .sqNavigationBar(title: "Proposer un rendez-vous", style: .modal)
    }
}

#Preview {
    NavigationView {
        CreateMeetingView()
    }
}
